output "ip_internes" {
  value = module.compute.ip_internes
}

output "ip_public_frontend" {
  value = module.compute.ip_public_frontend
}

output "nom_instances" {
  value = module.compute.nom_instances
}

output "service_account_email" {
  description = "Email du compte de service Terraform."
  value       = module.iam.email   
}

output "service_account_key" {
  description = "Clé privée du compte de service Terraform (sensitive)."
  value       = module.iam.key      
  sensitive   = true
}
output "vpc" {
  value = module.network.vpc
}

output "subnets" {
    value = module.network.subnets
}